summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorLartza2015-07-07 14:55:58 +0300
committerLartza2015-07-07 14:55:58 +0300
commit7f81546f9fedbc96422673544b82d9613f33ca6f (patch)
tree47733fda1c7dd03af878e77d164e8621bc6739b5
downloadaur-7f81546f9fedbc96422673544b82d9613f33ca6f.tar.gz
Initial import
-rw-r--r--.SRCINFO22
-rw-r--r--PKGBUILD31
2 files changed, 53 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..3ec0fde8828
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,22 @@
+pkgbase = tint3-cpp-git
+ pkgdesc = A C++ rewrite attempt of the tint2 panel.
+ pkgver = r691.9c13801
+ pkgrel = 1
+ url = https://github.com/jmc-88/tint3
+ arch = i686
+ arch = x86_64
+ arch = armv7h
+ license = GPL3
+ makedepends = git
+ makedepends = cmake
+ depends = imlib2
+ depends = pango
+ depends = libxinerama
+ depends = libxrandr
+ depends = libxcomposite
+ depends = startup-notification
+ source = tint3::git+https://github.com/jmc-88/tint3.git
+ sha256sums = SKIP
+
+pkgname = tint3-cpp-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..9b2e7be1efd
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,31 @@
+# Maintainer: Lari Tikkanen <lartza@wippies.com>
+pkgname=tint3-cpp-git
+pkgver=r691.9c13801
+pkgrel=1
+pkgdesc="A C++ rewrite attempt of the tint2 panel."
+arch=('i686' 'x86_64' 'armv7h')
+url="https://github.com/jmc-88/tint3"
+license=('GPL3')
+depends=('imlib2' 'pango' 'libxinerama' 'libxrandr' 'libxcomposite' 'startup-notification')
+makedepends=('git' 'cmake')
+source=('tint3::git+https://github.com/jmc-88/tint3.git')
+sha256sums=('SKIP')
+
+pkgver() {
+ cd "$srcdir/tint3"
+ ( set -o pipefail
+ git describe --long --tags 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+build() {
+ cd "$srcdir/tint3"
+ cmake -DCMAKE_INSTALL_PREFIX=/usr .
+ make
+}
+
+package() {
+ make -C "$srcdir/tint3" DESTDIR="$pkgdir" install
+}
+